#ifndef __TLT_FDC2214_IIC_H
#define __TLT_FDC2214_IIC_H
#include <stdint.h>


/********************************************移植修订点开始*****************************************************/
/* 定义FDC2214连接的GPIO端口, 用户只需要修改下面的代码即可改变控制的OLED引脚 */
// SCL:PB6 PB10
// SDA:PB7 PB11
#define TFDC2214_SCLK_GPIO_PORT    	GPIOB		                //OLED SCLK端口
#define TFDC2214_SCLK_GPIO_PIN			GPIO_PIN_6			        //OLED SCLK管脚

#define TFDC2214_SDIN_GPIO_PORT    	GPIOB		                //OLED SCLK端口
#define TFDC2214_SDIN_GPIO_PIN			GPIO_PIN_7		          //OLED SCLK管脚


#define TSDA_HIGH() HAL_GPIO_WritePin(GPIOB, GPIO_PIN_7, GPIO_PIN_SET)
#define TSDA_LOW()  HAL_GPIO_WritePin(GPIOB, GPIO_PIN_7, GPIO_PIN_RESET)
#define TSCL_HIGH() HAL_GPIO_WritePin(GPIOB, GPIO_PIN_6, GPIO_PIN_SET)
#define TSCL_LOW()  HAL_GPIO_WritePin(GPIOB, GPIO_PIN_6, GPIO_PIN_RESET)
#define TSDA_READ() HAL_GPIO_ReadPin(GPIOB, GPIO_PIN_7)
#define TFDC2214_IIC_SDA_IN          TSDA_READ()


/********************************************移植修订点结束*****************************************************/

void TFDC2214_IIC_Init(void);
void TFDC2214_IIC_Start(void);
void TFDC2214_IIC_Stop(void);
uint8_t TFDC2214_IIC_Wait_Ack(void);
void TFDC2214_IIC_Ack(void);
void TFDC2214_IIC_NAck(void);
void TFDC2214_IIC_Send_Byte(uint8_t dat);
uint8_t TFDC2214_IIC_Read_Byte(uint8_t ack);
void Tdelay_us(uint32_t us);
#endif
